<decoder manu="Marklin" type="mfx1">
	<remark text=" REV 2.1 March 2024 by stefo"/>
	<remark text=" for mfx-OEM-Decoders from ESU (CV8=151) Inapplicable for msd/mld and msd3/mld3 Decoders (CV8:4 = 131)."/>
	<remark text=" testet with DecPartNos 33445566"/>
	<remark text=" bevor use, copy the follow string into the invidual Rocrail loctable CV:
	
	2:5,8:4,8:8,11:5,11:6,11:7,11:8,11:9,11:1,11:2,11:3,11:4,78:1,78:2,79:1,79:2,79:3,79:4,79:5,79:6,79:7,79:8,79:9,79:10,79:11,79:12,79:13,79:14,79:15,79:16,79:17,79:18,79:19,79:20,79:21,79:22,79:23,79:24,79:25,79:26,79:27,79:28,80:1,81:1,83:1,83:2,84:1,84:2,84:3,84:4,85:1,86:1,117:1,118:1,118:2,119:1,119:2,120:1,120:2,121:1,126:1,130:1,134:1
 
  "/>
  <cvbyte nr="2" index="5" cat="Root" desc="NMRA Herst.-ID" info="  (CV8) tag=22
  131 Maerklin"/>
  <cvbyte nr="8" index="4" cat="Root" desc="Decoder Man-ID" info="  (CV NULL) 
  Decoderhersteller:
  131 Maerklin
  151 ESU OEM for Maerklin"/>
  <cvbyte nr="8" index="8" cat="Root-Info" desc="DecPartNo" readonly="true" info="  mfx3.xml for msd3/mld3: 
  205 - 349645 (mld3)
  139 - 263819 (msd3)
  165 - 280229 (mld3)
   19 - 280851 (mld3)
   70 - 347462 (mld3)
   71 - 347463 (msd3)
   
  Inapplicable mld3-Decoder is 60906:
  255 - 314569 (mld3)
  
  mfx2.xml for msd/mld:
  151 - 157847 (mld)
  127 - 160895 (mld)
   39 - 168743 (msd)
   68 - 171332 (mld)
  100 - 197476 (mld)
  
  mfx1.xml for ESU (OEM):
   34 - 33445566"/>
   
  <cvbyte nr="11" index="5" cat="Root" desc="DecTypNo2" info="TEST"/> 
  <cvbyte nr="11" index="6" cat="Root" desc="DecTypNo3" info="TEST"/>
  <cvbyte nr="11" index="7" cat="Root" desc="DecTypNo4" info="TEST"/>
  <cvbyte nr="11" index="8" cat="Root" desc="DecTypNo5" info="TEST"/>
   
  <cvbyte nr="11" index="9" cat="Root" desc="Dectype" info="  237 Start Up Decoder
  245 Seriend.
  246 Nachrüstd.
  247 Seriend./Spielwelt"/>
  <cvbyte nr="11" index="1" cat="Root" desc="FW 1st" info="Firmwarevers. 1.Stelle"/>
  <cvbyte nr="11" index="2" cat="Root" desc="FW 2st" info="Firmwarevers. 2.Stelle"/>
  <cvbyte nr="11" index="3" cat="Root" desc="FW 3st" info="Firmwarevers. 3.Stelle"/>
  <cvbyte nr="11" index="4" cat="Root" desc="FW 4st" info="Firmwarevers. 4.Stelle"/>
  <cvbyte nr="78" index="1" cat="Motor" desc="Anfahrverzögerung" info="(CV3)"/>
  <cvbyte nr="78" index="2" cat="Motor" desc="Bremsverzögerung" info="(CV4)"/>
  <cvbyte nr="79" index="1" cat="Motor" desc="V-Min" info="(CV2)"/>
  <cvbyte nr="79" index="2" cat="Motor" desc="V-Max" info="(CV5)"/>
  <cvbyte nr="79" index="3" cat="Motor" desc="Fahrstufe01" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="4" cat="Motor" desc="Fahrstufe02" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="5" cat="Motor" desc="Fahrstufe03" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="6" cat="Motor" desc="Fahrstufe04" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="7" cat="Motor" desc="Fahrstufe05" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="8" cat="Motor" desc="Fahrstufe06" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="9" cat="Motor" desc="Fahrstufe07" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="10" cat="Motor" desc="Fahrstufe08" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="11" cat="Motor" desc="Fahrstufe09" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="12" cat="Motor" desc="Fahrstufe10" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="13" cat="Motor" desc="Fahrstufe11" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="14" cat="Motor" desc="Fahrstufe12" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="15" cat="Motor" desc="Fahrstufe13" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="16" cat="Motor" desc="Fahrstufe14" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="17" cat="Motor" desc="Fahrstufe15" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="18" cat="Motor" desc="Fahrstufe16" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="19" cat="Motor" desc="Fahrstufe17" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="20" cat="Motor" desc="Fahrstufe18" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="21" cat="Motor" desc="Fahrstufe19" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="22" cat="Motor" desc="Fahrstufe20" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="23" cat="Motor" desc="Fahrstufe21" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="24" cat="Motor" desc="Fahrstufe22" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="25" cat="Motor" desc="Fahrstufe23" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="26" cat="Motor" desc="Fahrstufe24" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="27" cat="Motor" desc="Fahrstufe25" info="(CV-/67-94)"/>
  <cvbyte nr="79" index="28" cat="Motor" desc="Fahrstufe26" info="(CV-/67-94)"/>
  <cvbyte nr="80" index="1" cat="Motor" desc="Fahrstufe / Tacho" info="Tacho in CS2"/>
  
  <cvbyte nr="81" index="1" cat="Motor" desc="Motor Typ" valuerange="DIP" info="  (DCC: CV52). ->DIP">
    <adip title="Motortyp:">
      <dipgroup caption="Grundeinstellung nach Motortyp" type="0" ori="1">
        <dipvalue name="C-Sinus" value="1"/>
        <dipvalue name="ungeregelt" value="2"/>
        <dipvalue name="C90" value="3"/>
		<dipvalue name="Glockenanker" value="4"/>
		<dipvalue name="DC-weich" value="5"/>
		<dipvalue name="DC-hart" value="6"/>
        <dipvalue name="Spur I" value="7"/>
		<dipvalue name="DC EMK kurze Meßpause" value="8"/>
      </dipgroup>
    </adip>
  </cvbyte>
  
  <cvbyte nr="83" index="1" cat="Motor" desc="Korrekturfaktor Vorw." info="(CV-/66)"/>
  <cvbyte nr="83" index="2" cat="Motor" desc="Korrekturfaktor Rückw." info="(CV-/95)"/>
  <cvbyte nr="84" index="1" cat="Motor" desc="Regeleinfluß" info="(CV56)"/>
  <cvbyte nr="84" index="2" cat="Motor" desc="Regelreferenz EMK" info="(CV53)"/>
  <cvbyte nr="84" index="3" cat="Motor" desc="Regler K" info="(CV54)"/>
  <cvbyte nr="84" index="4" cat="Motor" desc="Regler I" info="(CV55)"/>
  <cvbyte nr="85" index="1" cat="Motor" desc="Bremsstrecke" info="(CV27)"/>
  <cvbyte nr="86" index="1" cat="Motor" desc="Richtungsumkehr Motor/Licht" info="(CV29.0)"/>
  <cvbyte nr="117" index="1" cat="Sound" desc="Lautstärke" info="(CV63)"/>
  <cvbyte nr="118" index="1" cat="Sound" desc="Sound Abstand FS=1" info="(CV57)"/>
  <cvbyte nr="118" index="2" cat="Sound" desc="Sound Abstand FS>1" info="(CV58)"/>
  <cvbyte nr="119" index="1" cat="Sound" desc="Abspielgeschw. Min" info="CV NULL"/>
  <cvbyte nr="119" index="2" cat="Sound" desc="Abspielgeschw. Max" info="CV NULL"/>
  <cvbyte nr="120" index="1" cat="Sound" desc="Zufallsinterv. MIN" info="(CV61)"/>
  <cvbyte nr="120" index="2" cat="Sound" desc="Zufallsinterv. MAX" info="(CV62)"/>
  <cvbyte nr="121" index="1" cat="Sound" desc="Bremsschwelle" info="(CV64)"/>
  <cvbyte nr="126" index="1" cat="Formate" desc="AC Konfig." info="(CV 29.2/50.0) (Default 0)"/>
  <cvbyte nr="130" index="1" cat="Formate" desc="DC Konfig." info="(CV 29.2/50.1) (Default 0)"/>
  
  <cvbyte nr="134" index="1" cat="Formate" desc="MM2-Format" info="(CV 29/50.2)(Default 0)"/>
</decoder>